Cobertura and Java 7

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Cobertura and Java 7

Trevor Miller

Hi,

Does cobertura support java 7 yet? I am getting the following error:

net.sourceforge.cobertura.javancss.parser.ParseException: Encountered " ">" "> ""

Many Thanks!

Kind Regards,
Trevor
Reply | Threaded
Open this post in threaded view
|

Re: Cobertura and Java 7

Baptiste MATHUS-3
Hi,

Stephen Christou will confirm this: I think it's not supported yet, BUT seems like at least parts of Java7 should be supported with the next version of the cobertura-maven-plugin (should be 2.6).

There was already a try to release it, but there was still some things to fix to pass. 
So I suppose you could expect that version in the weeks to come (though summer is not the most active moment I guess ;-)).

HTH


2013/7/30 Trevor Miller <[hidden email]>

Hi,

Does cobertura support java 7 yet? I am getting the following error:

net.sourceforge.cobertura.javancss.parser.ParseException: Encountered " ">" "> ""

Many Thanks!

Kind Regards,
Trevor



--
Baptiste <Batmat> MATHUS - http://batmat.net
Sauvez un arbre,
Mangez un castor !